> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new attachment

> Create new attachment



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml post /bundles/{id}/attachments
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /bundles/{id}/attachments:
    post:
      tags:
        - attachments
      summary: Create new attachment
      description: Create new attachment
      parameters:
        - description: ID of the bundle to which the attachment belongs
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/guardrails.CreateAttachment'
        description: Attachment to create
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.Attachment'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    guardrails.CreateAttachment:
      properties:
        identifier:
          type: object
        type:
          $ref: '#/components/schemas/guardrails.AttachmentType'
      required:
        - identifier
        - type
      type: object
    guardrails.Attachment:
      properties:
        approvalTimelineMap:
          additionalProperties:
            $ref: '#/components/schemas/guardrails.ApprovalTimelineInfo'
          type: object
        createdAt:
          type: string
        createdBy:
          type: object
        id:
          type: string
        identifier:
          type: object
        type:
          $ref: '#/components/schemas/guardrails.AttachmentType'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.AttachmentType:
      enum:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
      type: string
      x-enum-varnames:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
    guardrails.ApprovalTimelineInfo:
      properties:
        approvalStatus:
          $ref: '#/components/schemas/guardrails.ApprovalStatus'
        timelineStatus:
          $ref: '#/components/schemas/guardrails.ApprovalTimelineStatus'
        updatedAt:
          type: string
      type: object
    guardrails.ApprovalStatus:
      enum:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
      type: string
      x-enum-varnames:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
    guardrails.ApprovalTimelineStatus:
      enum:
        - Valid
        - Invalid
      type: string
      x-enum-varnames:
        - Valid
        - Invalid

````